Bug 1177981 - lxc missing dependency: rsync for lxc-clone
Summary: lxc missing dependency: rsync for lxc-clone
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lxc
Version: 21
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-01 00:23 UTC by theShirbiny
Modified: 2015-11-12 00:49 UTC (History)
4 users (show)

Fixed In Version: lxc-1.0.7-4.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-12 00:49:00 UTC
Type: Bug


Attachments (Terms of Use)

Description theShirbiny 2015-01-01 00:23:41 UTC
Description of problem:
lxc-clone in lxc package requires rsync to work
or it'll throw an exception.

And rsync is not in lxc's dependency tree
>repoquery --requires --recursive --resolve  lxc | grep rsync
shows nothing.

Version-Release number of selected component (if applicable):
lxc    Version     : 1.0.7


How reproducible:

Steps to Reproduce:
1.dnf remove rsync
2.dnf install lxc lxc-templates
3.lxc-create -n fedora1 -t /usr/share/lxc/templates/lxc-fedora
4.lxc-clone -o fedora1 -n fedora2

Actual results:

lxc_container: bdev.c: rsync_rootfs: 2933 rsyncing /var/lib/lxc/fedora1/rootfs to /var/lib/lxc/fedora2/root
fs
lxc_container: lxccontainer.c: copy_storage: 2489 Error copying storage
clone failed


Expected results:
Created container fedora2 as copy of fedora1 

Additional info:
you can fix it by installing rsync

Comment 1 Thomas Moschny 2015-03-03 20:11:49 UTC
Good catch. I will add rsync as a dependency.

Comment 2 Fedora Update System 2015-10-25 07:49:27 UTC
lxc-1.0.7-4.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ebfe46536f

Comment 3 Fedora Update System 2015-10-28 18:21:57 UTC
lxc-1.0.7-4.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update lxc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ebfe46536f

Comment 4 Fedora End Of Life 2015-11-04 16:00:41 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora Update System 2015-11-12 00:48:53 UTC
lxc-1.0.7-4.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.